# Gopkg.toml example
#
# Refer to https://github.com/golang/dep/blob/master/docs/Gopkg.toml.md
# for detailed Gopkg.toml documentation.
#
# required = ["github.com/user/thing/cmd/thing"]
# ignored = ["github.com/user/project/pkgX", "bitbucket.org/user/project/pkgA/pkgY"]
#
# [[constraint]]
#   name = "github.com/user/project"
#   version = "1.0.0"
#
# [[constraint]]
#   name = "github.com/user/project2"
#   branch = "dev"
#   source = "github.com/myfork/project2"
#
# [[override]]
#  name = "github.com/x/y"
#  version = "2.4.0"


ignored = ["test", "appengine"]

[prune]
  non-go = true

[[constraint]]
  name = "github.com/BurntSushi/toml"
  # version = "v0.2.0"
  revision = "a368813c5e648fee92e5f6c30e3944ff9d5e8895"

[[constraint]]
  name = "github.com/sirupsen/logrus"
  version = "1.4.0"

[[constraint]]
  branch = "master"
  name = "github.com/ayufan/golang-kardianos-service"

[[constraint]]
  name = "github.com/docker/distribution"
  version = "2.7"

# We are using `github.com/docker/engine` as source since it has tagged
# versions, unlike `github.com/moby/moby`, please read
# https://github.com/moby/moby/issues/38063#issuecomment-431324613 for a
# detailed explanation.
[[constraint]]
  name = "github.com/docker/docker"
  source = "github.com/docker/engine"
  version = "18.09"

[[constraint]]
  name = "github.com/docker/cli"
  version = "18.09"

[[constraint]]
  name = "github.com/docker/go-connections"
  version = "0.3.0"

[[constraint]]
  name = "github.com/docker/machine"
  # version = "0.13.0"
  revision = "7b7a141da84480342357c51838be142bf183b095"

[[constraint]]
  name = "github.com/getsentry/raven-go"
  revision = "dffeb57df75d6a911f00232155194e43d79d38d7"

[[constraint]]
  name = "github.com/golang/mock"
  revision = "06883d979f10cc178f2716846215c8cf90f9e363"

[[constraint]]
  name = "github.com/gorhill/cronexpr"
  revision = "f0984319b44273e83de132089ae42b1810f4933b"

[[constraint]]
  name = "github.com/hashicorp/go-version"
  revision = "03c5bf6be031b6dd45afec16b1cf94fc8938bc77"

[[constraint]]
  name = "github.com/jpillora/backoff"
  revision = "06c7a16c845dc8e0bf575fafeeca0f5462f5eb4d"

[[constraint]]
  name = "github.com/kardianos/osext"
  revision = "c2c54e542fb797ad986b31721e1baedf214ca413"

[[constraint]]
  name = "github.com/minio/minio-go"
  version = "3.0.3"

[[constraint]]
  name = "github.com/prometheus/client_golang"
  version = "0.9.0"

[[constraint]]
  name = "github.com/stretchr/testify"
  version = "1.3.0"

[[constraint]]
  # branch = "master"
  name = "github.com/tevino/abool"
  revision = "3c25f2fe7cd0ef3eabefce1d90efd69a65d35b12"

[[constraint]]
  name = "github.com/urfave/cli"
  revision = "cfb38830724cc34fedffe9a2a29fb54fa9169cd1"

[[constraint]]
  branch = "master"
  name = "gitlab.com/ayufan/golang-cli-helpers"

[[constraint]]
  name = "golang.org/x/crypto"
  revision = "1f22c0103821b9390939b6776727195525381532"

[[constraint]]
  name = "golang.org/x/net"
  revision = "d0887baf81f4598189d4e12a37c6da86f0bba4d0"

[[constraint]]
  # branch = "v2"
  name = "gopkg.in/yaml.v2"
  revision = "e4d366fc3c7938e2958e662b4258c7a89e1f0e3e"

[[constraint]]
  name = "k8s.io/client-go"
  branch = "release-7.0"

[[constraint]]
  name = "k8s.io/apimachinery"
  branch = "release-1.10"

[[constraint]]
  name = "k8s.io/api"
  branch = "release-1.10"

[[constraint]]
  name = "github.com/mattn/go-zglob"
  version = "0.0.1"

[[constraint]]
  name = "github.com/docker/go-units"
  revision = "eb879ae3e2b84e2a142af415b679ddeda47ec71c"

[[constraint]]
  name = "cloud.google.com/go"
  version = "v0.25.0"

[[constraint]]
  name = "gitlab.com/gitlab-org/gitlab-terminal"
  revision = "5af59b871b1bcc3f4b733f6db0ff3b6e8b247b92"

[[constraint]]
  name = "github.com/markelog/trie"
  branch = "master"

[[constraint]]
  name = "golang.org/x/sys"
  branch = "master"

[[constraint]]
  name = "github.com/gofrs/flock"
  branch = "master"

##
## Refrain innovations ;)
##

[[override]]
  name = "github.com/Azure/go-autorest"
  revision = "d4e6b95c12a08b4de2d48b45d5b4d594e5d32fab"

[[override]]
  name = "github.com/Microsoft/go-winio"
  version = "v0.4.12"

[[override]]
  name = "github.com/blang/semver"
  version = "v3.3.0"

[[override]]
  name = "github.com/coreos/go-oidc"
  revision = "1efe0e1303a62da553fcb6beb8bd2aa9250c0ca8"

[[override]]
  name = "github.com/docker/docker-credential-helpers"
  revision = "b7c53e02cd1a9a01500a58f22d83c6e964bc59db"

[[override]]
  name = "github.com/docker/spdystream"
  revision = "449fdfce4d962303d702fec724ef0ad181c92528"

[[override]]
  name = "github.com/emicklei/go-restful"
  revision = "89ef8af493ab468a45a42bb0d89a06fccdd2fb22"

[[override]]
  name = "github.com/ghodss/yaml"
  revision = "aa0c862057666179de291b67d9f093d12b5a8473"

[[override]]
  name = "github.com/go-ini/ini"
  revision = "20b96f641a5ea98f2f8619ff4f3e061cff4833bd"

[[override]]
  name = "github.com/gogo/protobuf"
  version = "v1.1.0"

[[override]]
  name = "github.com/golang/protobuf"
  version = "v1.1.0"

[[override]]
  name = "github.com/google/cadvisor"
  revision = "2ed7198f77395ee9a172878a0a7ab92ab59a2cfd"

[[override]]
  name = "github.com/google/gofuzz"
  revision = "fd52762d25a41827db7ef64c43756fd4b9f7e382"

[[override]]
  name = "github.com/gorilla/context"
  revision = "08b5f424b9271eedf6f9f0ce86cb9396ed337a42"

[[override]]
  name = "github.com/gorilla/mux"
  revision = "599cba5e7b6137d46ddf58fb1765f5d928e69604"

[[override]]
  name = "github.com/imdario/mergo"
  revision = "50d4dbd4eb0e84778abe37cefef140271d96fade"

[[override]]
  name = "github.com/jonboulle/clockwork"
  revision = "e3653ace2d63753697e0e5b07b9393971c0bba9d"

[[override]]
  name = "github.com/juju/ratelimit"
  revision = "77ed1c8a01217656d2080ad51981f6e99adaa177"

# go-homedir fork based on our vendored code due to upstream removal
# from GitHub
[[override]]
  name = "github.com/minio/go-homedir"
  source = "gitlab.com/steveazz/go-homedir"
  revision = "01701865551470435b20b226b0eafb945185b700"

[[override]]
  name = "github.com/opencontainers/runc"
  branch = "master"

[[override]]
  name = "github.com/opencontainers/runtime-spec"
  revision = "313f40bdfcc04c6b0f7b8a8c3e91a7b7a3a0ef4e"

[[override]]
  name = "github.com/pborman/uuid"
  revision = "c55201b036063326c5b1b89ccfe45a184973d073"

[[override]]
  name = "github.com/prometheus/procfs"
  revision = "abf152e5f3e97f2fafac028d2cc06c1feb87ffa5"

[[override]]
  name = "github.com/spf13/pflag"
  revision = "4c012f6dcd9546820e378d0bdda4d8fc772cdfea"

[[override]]
  name = "github.com/stretchr/objx"
  revision = "cbeaeb16a013161a98496fad62933b1d21786672"

[[override]]
  name = "github.com/ugorji/go"
  revision = "4a1cb5252a6951f715a85d0e4be334c2a2dbf2a2"

[[override]]
  name = "github.com/vbatts/tar-split"
  revision = "e4899282720706fae5fde9dc1ee80bc3fefe10c2"

[[override]]
  name = "golang.org/x/oauth2"
  revision = "ef147856a6ddbb60760db74283d2424e98c87bff"

[[override]]
  name = "golang.org/x/text"
  version = "v0.3.0"

[[override]]
  name = "google.golang.org/api"
  revision = "0025a57598c017c1b9f7bc916c4fb8ae77315f9c"

[[override]]
  name = "google.golang.org/appengine"
  revision = "e951d3868b377b14f4e60efa3a301532ee3c1ebf"

[[override]]
  name = "google.golang.org/genproto"
  revision = "2731d4fa720b67f9fe38e9051a2a9b38e4609260"

[[override]]
  name = "github.com/googleapis/gax-go"
  version = "v2.0.0"

[[override]]
  name = "go.opencensus.io"
  version = "v0.14.0"

[[override]]
  name = "google.golang.org/grpc"
  # v1.14.0 introduced a compilation error with one of it dependencies,
  # so forcing v1.13.0 which works
  version = "=v1.13.0"
